Skip to content

Create provider.

POST
/backend/v1/providers

Creates a new provider using a template or a system provider.

Authorizations

HTTPBearer
Type
HTTP (bearer)

Request Body

application/json
JSON
{
  
"authTemplate": null,
  
"capabilities": [
  
  
"string"
  
],
  
"default": false,
  
"enable": false,
  
"inputs": {
  
  
"additionalProperties": "string"
  
},
  
"maxRequestsPerSecond": 0,
  
"name": "string",
  
"projectId": "string",
  
"redTeam": false,
  
"requestConcurrencyLimit": {
  
  
"decayPerSecond": 0,
  
  
"requests": 0
  
},
  
"secrets": {
  
  
"additionalProperties": "string"
  
},
  
"tag": "string",
  
"template": {
  
  
"awsAuth": {
  
  
  
"accessKey": "string",
  
  
  
"region": "string",
  
  
  
"secretKey": "string",
  
  
  
"service": "string",
  
  
  
"token": "string"
  
  
},
  
  
"body": "string",
  
  
"headers": {
  
  
  
"additionalProperties": "string"
  
  
},
  
  
"json": "string",
  
  
"method": "string",
  
  
"ociAuth": {
  
  
  
"keyId": "string",
  
  
  
"passphrase": "string",
  
  
  
"privateKeyPem": "string"
  
  
},
  
  
"outputs": {
  
  
},
  
  
"queryParams": {
  
  
  
"additionalProperties": "string"
  
  
},
  
  
"timeout": 20,
  
  
"type": "request",
  
  
"url": "string"
  
},
  
"test": false
}

Responses

Successful Response

application/json
JSON
{
  
"id": "string"
}

Playground

Server
Authorization
Body

Samples

Powered by VitePress OpenAPI

Updated at: